#!/bin/bash
date='date +%Y-%m-%d\ %T'
logfile=~/.wkgen.log
set -e
echo "[$(eval $date)]: starting webrequests..." | tee -a $logfile
curl -s -o ~/Pictures/wallpaper/wk-progress.1.png "https://wkgen.homeserver.box/?k=7b98a684-5c91-44ab-86b1-f7023609fe4e&d=1"
echo "[$(eval $date)]: setting wallpaper..." | tee -a $logfile
dbus-send --session --dest=org.kde.plasmashell --type=method_call \
/PlasmaShell org.kde.PlasmaShell.evaluateScript 'string:
var Desktops = desktops();
for (i=0;i<Desktops.length;i++) {
        d = Desktops[i];
        d.wallpaperPlugin = "org.kde.image";
        d.currentConfigGroup = Array("Wallpaper", "org.kde.image", "General");
        d.writeConfig("Image", "file:///home/plex/Pictures/wallpaper/wk-progress.1.png");
}'
echo "[$(eval $date)]: done" | tee -a $logfile
